Bug 21511 - Remove empty AudioSourceNode interface
Summary: Remove empty AudioSourceNode interface
Status: CLOSED FIXED
Alias: None
Product: AudioWG - OBSOLETE - Moved to Github
Classification: Unclassified
Component: Web Audio API - OBSOLETE - See Github (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: TBD
Assignee: Chris Rogers
QA Contact: public-audio
URL: https://dvcs.w3.org/hg/audio/raw-file...
Whiteboard:
Keywords:
Depends on:
Blocks: 17324
  Show dependency treegraph
 
Reported: 2013-04-02 12:18 UTC by Olivier Thereaux
Modified: 2013-04-25 15:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Thereaux 2013-04-02 12:18:48 UTC
Per discussion at Audio WG f2f 2013-03-26.

The AudioSourceNode interface (Section 4.3 in current draft) is not serving any purpose other than providing an abstract class, which is too prescriptive for implementations. The group agreed to remove it.
Comment 1 Chris Rogers 2013-04-05 21:53:30 UTC
Fixed in:
https://dvcs.w3.org/hg/audio/rev/827140b23ed9